PCRE2 10.33 - warning: may break your Roundcube

wattie

Verified User
Joined
May 31, 2008
Messages
992
Location
Bulgaria
PCRE2 version 10.33 is available.

Please note that it broke Roundcube on my web server where I am running it with PHP 7.3. If you upgrade PCRE2 please look at /var/www/html/roundcube/logs/errors for these errors:

Code:
PHP Warning:  preg_replace(): Compilation failed: escape sequence is invalid in character class at offset 8 in /var/www/html/roundcubemail-1.3.9/program/lib/Roundcube/rcube_vcard.php on line 547
The impact is that users are no longer able to add and search contacts, so it is a major issue. Reverting PCRE2 back to 10.32 fixed the issue to me. So if you are running Roundcube with PHP 7.3, you may wish to wait for a bugfix release of Roundcube.

EDIT: ROUNDCUBE 1.3.10 (already in Custombuild) FIXES THE ISSUE
 
Last edited:

ditto

Verified User
Joined
Apr 27, 2009
Messages
2,461
Did you see this bug report?: https://github.com/roundcube/roundcubemail/issues/6744

It seems the replies has a fix, but it is not pushed to new Roundcube versions yet. Also they do not mention PCRE2 10.33, so maybe somone should post a reply in that thread and tell them about it, so they can look in the correct direction?

Here is direct link to the fix that might work (I am still on old pcre and php 7.2.x, so I have not tested): https://github.com/roundcube/roundcubemail/issues/6744#issuecomment-491311162

Edit: Studying the comments closer, it seems a fix is added in 1.4-rc2: https://github.com/roundcube/roundcubemail/issues/6744#issuecomment-491356731
 
Last edited:
Top